<?php
class Core {
	public function __construct($p_project=null) {

	}
	
	static public function getApp($p_app) {
		
	}
	
	static public function getApps() {
		$handle=opendir(Core::getAppsDir());
        while ($file = readdir($handle)) {
            if ($file != ".." && $file != "." && is_dir(Core::getAppsDir().$file)) {
                $ret[] = $file;
            }
        }
        closedir($handle);
        return $ret;
	}

	static public function getAppsDir() {
	    $Config = INI::getInstance(Filesystem::standardDirFormat(ROOT_DIR,"lib")."Core.ini");
        return Filesystem::standardDirFormat(ROOT_DIR,$Config->getValue("Apps","dir"));
	}
	
	static public function getUsersDir() {
		
	}
}